---
- name: Add Docker GPG apt Key
  ansible.builtin.get_url:
    url: https://download.docker.com/linux/debian/gpg
    dest: /etc/apt/keyrings/docker.asc

- name: Add Docker Repository
  ansible.builtin.apt_repository:
    state: present
    repo: "deb [arch=amd64 signed-by=/etc/apt/keyrings/docker.asc] https://download.docker.com/linux/ubuntu {{ansible_distribution_release}} stable"

- name: Update apt and install docker-ce and docker-compose
  apt:
    name:
      - docker-ce
      - docker-compose-plugin
    update_cache: yes

- name: Install pip
  apt:
    name: python3-pip
    update_cache: yes

- name: Install docker via pip
  pip:
    name:
      - docker
      - docker-compose
    executable: pip3

- name: Ensure Docker is started
  service:
    name: docker
    state: started
    enabled: true

- name: Add admins to group docker
  user:
    name: "{{ item }}"
    groups: docker
    append: yes
  loop: "{{ admin_usernames }}"
